gloox::Base64 Namespace Reference

## Functions

const std::string | encode64 (const std::string &input)
const std::string | decode64 (const std::string &input)

## Detailed Description

An implementation of the Base64 data encoding (RFC 3548).

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  0.8

## Function Documentation

## decode64()

GLOOX_API const std::string decode64 | ( | const std::string & | input | ) |

Base64-decodes the input according to RFC 3548.

Parameters

  input | The encoded data.

Returns
  The decoded data.

Definition at line 83 of file base64.cpp.

## encode64()

GLOOX_API const std::string encode64 | ( | const std::string & | input | ) |

Base64-encodes the input according to RFC 3548.

Parameters

  input | The data to encode.

Returns
  The encoded string.

Definition at line 38 of file base64.cpp.